import request from '@/utils/request'

// 查询用户列表
export function listAppUsers(query) {
  return request({
    url: '/model/AppUsers/list',
    method: 'get',
    params: query
  })
}

// 查询用户详细
export function getAppUsers(userId) {
  return request({
    url: '/model/AppUsers/' + userId,
    method: 'get'
  })
}

// 新增用户
export function addAppUsers(data) {
  return request({
    url: '/model/AppUsers',
    method: 'post',
    data: data
  })
}

// 修改用户
export function updateAppUsers(data) {
  return request({
    url: '/model/AppUsers',
    method: 'put',
    data: data
  })
}

// 删除用户
export function delAppUsers(userId) {
  return request({
    url: '/model/AppUsers/' + userId,
    method: 'delete'
  })
}
